package goods

import (
	"spaceofcheng/services/models/cases"
	"spaceofcheng/services/models/customer"
	"spaceofcheng/services/models/goods"
	"spaceofcheng/services/utils"
)

// GoodsServ 系统处理
type GoodsServ struct {
	ctx     *utils.Context
	dao     *goods.GoodsDAO
	caseDAO *cases.CaseDAO
	custDAO *customer.CustomerDAO
}

// NewGoodsServ 初始化
func NewGoodsServ(ctx *utils.Context) *GoodsServ {
	return &GoodsServ{
		ctx:     ctx,
		dao:     goods.NewGoodsDAO(ctx),
		caseDAO: cases.NewCaseDAO(ctx),
		custDAO: customer.NewCustomerDAO(ctx),
	}
}
